Up

# NSSpellChecker

### Authors

Gregory John Casamento (`greg_casamento@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

> Class to provide the graphical interface to the spell checking service.

Copyright: (C) 2001, 1996 Free Software Foundation, Inc.

# Software documentation for the NSSpellChecker class

## NSSpellChecker : NSObject

> Declared in:
>   AppKit/NSSpellChecker.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +sharedSpellChecker
- +sharedSpellCheckerExists
- +uniqueSpellDocumentTag
- -accessoryView
- -checkSpellingOfString:startingAt:
- -checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:
- -closeSpellDocumentWithTag:
- -countWordsInString:language:
- -guessesForWord:
- -ignoreWord:inSpellDocumentWithTag:
- -ignoredWordsInSpellDocumentWithTag:
- -language
- -setAccessoryView:
- -setIgnoredWords:inSpellDocumentWithTag:
- -setLanguage:
- -setWordFieldStringValue:
- -spellingPanel
- -updateSpellingPanelWithMisspelledWord:

### sharedSpellChecker

+ (NSSpellChecker*) sharedSpellChecker;

Description forthcoming.

### sharedSpellCheckerExists

+ (BOOL) sharedSpellCheckerExists;

Description forthcoming.

### uniqueSpellDocumentTag

+ (int) uniqueSpellDocumentTag;

Description forthcoming.

### accessoryView

- (NSView*) accessoryView;

Description forthcoming.

### checkSpellingOfString:startingAt:

- (NSRange) checkSpellingOfString: (NSString*)stringToCheck startingAt: (int)startingOffset;

Description forthcoming.

### checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:

- (NSRange) checkSpellingOfString: (NSString*)stringToCheck startingAt: (int)startingOffset language: (NSString*)language wrap: (BOOL)wrapFlag inSpellDocumentWithTag: (int)tag wordCount: (int*)wordCount;

Description forthcoming.

### closeSpellDocumentWithTag:

- (void) closeSpellDocumentWithTag: (int)tag;

Description forthcoming.

### countWordsInString:language:

- (int) countWordsInString: (NSString*)aString language: (NSString*)language;

Description forthcoming.

### guessesForWord:

- (NSArray*) guessesForWord: (NSString*)word;

Description forthcoming.

### ignoreWord:inSpellDocumentWithTag:

- (void) ignoreWord: (NSString*)wordToIgnore inSpellDocumentWithTag: (int)tag;

Description forthcoming.

### ignoredWordsInSpellDocumentWithTag:

- (NSArray*) ignoredWordsInSpellDocumentWithTag: (int)tag;

Description forthcoming.

### language

- (NSString*) language;

Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Description forthcoming.

### setIgnoredWords:inSpellDocumentWithTag:

- (void) setIgnoredWords: (NSArray*)someWords inSpellDocumentWithTag: (int)tag;

Description forthcoming.

### setLanguage:

- (BOOL) setLanguage: (NSString*)aLanguage;

Description forthcoming.

### setWordFieldStringValue:

- (void) setWordFieldStringValue: (NSString*)aString;

Description forthcoming.

### spellingPanel

- (NSPanel*) spellingPanel;

Description forthcoming.

### updateSpellingPanelWithMisspelledWord:

- (void) updateSpellingPanelWithMisspelledWord: (NSString*)word;

Description forthcoming.

Up